/*
The Social Verb Library
Author: Dan (dan@dantom.com)
Version: 1.1  (04/14/99)

Here are a few social commands you can include if you need them.  Note
that those which send output to all in view will only produce output if
usr is on the map or in a room, so don't expect them to do much in a
mapless roomless world.

If you only want the most basic verbs (say, tell, emote, etc.) without all
the other actions (smile, wink, bow, etc.) then use talk.dm instead of this
file.
*/

client/verb
	smile(M as null|mob in oview())
		set category = "Social"
		if(M) view() << "[usr] smiles at [M]."
		else view() << "[usr] smiles."

	bow(M as null|mob in oview())
		set category = "Social"
		if(M) view() << "[usr] bows to [M]."
		else view() << "[usr] bows."

	grin(M as null|mob in oview())
		set category = "Social"
		if(M) view() << "[usr] flashes a wicked grin at [M]."
		else view() << "[usr] displays an evil grin."

	kiss(M as mob in oview())
		set category = "Social"
		if(get_dist(usr,M) <= 1) view() << "[usr] gives [M] a kiss."
		else view() << "[usr] blows [M] a kiss."

	wink(M as null|mob in oview())
		set category = "Social"
		if(M) view() << "[usr] winks at [M]."
		else view() << "[usr] nictates."

	poke(M as mob in oview(1))
		set category = "Social"
		view() << "[usr] pokes [M]."

	spit(M as null|mob in oview())
		set category = "Social"
		if(M) view() << "[usr] spits on [M]."
		else view() << "[usr] spits in disgust."

	blush()
		set category = "Social"
		view() << "[usr] blushes."

	giggle()
		set category = "Social"
		view() << "[usr] giggles."

	chuckle()
		set category = "Social"
		view() << "[usr] chuckles."

	who()
		set category = "Social"
		var/mob/M
		usr << "Players:"
		for(M as mob in world)
			if(M.client)
				if(M.key!=M.name) usr << "[M] ([M.key])"
				else usr << M

